Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card	(revision 3435)
@@ -53,14 +53,14 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                        , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml          , iodef.xml           ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml   , context_nemo.xml    ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml, domain_def_nemo.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/axis_def_nemo.xml  , axis_def_nemo.xml   ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml , grids_def_nemo.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo.xml , field_def_nemo.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml     , ping_ocean.xml      ), \
-        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_cfg                      , namelist_cfg        ), \
-        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/axis_def_nemo.xml      , axis_def_nemo.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml     , grids_def_nemo.xml  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
+        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_cfg                          , namelist_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml   )
 
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3435)
@@ -56,5 +56,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/axis_def_nemo.xml              , axis_def_nemo.xml             ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml             , grids_def_nemo.xml            ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo.xml             , field_def_nemo.xml            ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml         , field_def_nemo-opa.xml        ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml      , field_def_nemo-pisces.xml     ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttracer.xml , field_def_nemo-inerttracer.xml), \
@@ -71,10 +71,13 @@
 List=   (ocean.output, namelist_cfg, namelist_top_cfg, namelist_pisces_cfg, tracer.stat)
 
+
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
+	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-        (${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/lim3.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/lim3.card	(revision 3435)
@@ -28,6 +28,5 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod ), \
-        (${config_UserChoices_JobName}_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, Post_1D_icemod )
+List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod )
 
 [Post_1M_icemod]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/opa9.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/opa9.card	(revision 3435)
@@ -51,13 +51,15 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/resto.nc, .)
 
-
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref           ), \
-        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_cfg                          , namelist_cfg           ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml    ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml       ), \
-        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml              )
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/axis_def_nemo.xml      , axis_def_nemo.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml     , grids_def_nemo.xml  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
+        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_cfg                          , namelist_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml   )
+
 
 [RestartFiles]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/pisces.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/clim/COMP/pisces.card	(revision 3435)
@@ -5,4 +5,6 @@
 PisFreq=1
 Offline_Mode=n
+AtmCo2=2.8432e+02
+
 
 [InitialStateFiles]
@@ -45,10 +47,11 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 
@@ -74,5 +77,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -83,5 +86,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
 ChunckJob2D = 50Y
@@ -92,5 +95,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -101,5 +104,5 @@
 [Post_1Y_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
 ChunckJob2D = 50Y
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/lim3.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/lim3.card	(revision 3435)
@@ -28,6 +28,5 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod ), \
-        (${config_UserChoices_JobName}_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, Post_1D_icemod )
+List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod )
 
 [Post_1M_icemod]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/opa9.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/opa9.card	(revision 3435)
@@ -53,11 +53,13 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref           ), \
-        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_cfg                          , namelist_cfg           ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml    ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml       ), \
-        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml              )
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/axis_def_nemo.xml      , axis_def_nemo.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml     , grids_def_nemo.xml  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
+        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_cfg                          , namelist_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-opa.xml                                        , file_def_nemo-opa.xml   )
 
 [RestartFiles]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/pisces.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/ia/COMP/pisces.card	(revision 3435)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+AtmCo2=2.8432e+02
 
 [InitialStateFiles]
@@ -29,10 +30,11 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                          , namelist_top_ref), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                       , namelist_pisces_ref), \
-        (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                               , namelist_top_cfg), \
-        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                            , namelist_pisces_cfg), \
-        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                       , file_def_nemo-pisces.xml   ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml, field_def_nemo-pisces.xml   )
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                           , namelist_top_ref), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                        , namelist_pisces_ref), \
+        (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                                , namelist_top_cfg), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                             , namelist_pisces_cfg), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                        , file_def_nemo-pisces.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml , field_def_nemo-pisces.xml   ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inertrc.xml, field_def_nemo-inerttrc.xml   )
 
 
@@ -44,10 +46,11 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 
@@ -73,5 +76,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -82,5 +85,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
 ChunckJob2D = 50Y
@@ -91,5 +94,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -100,5 +103,5 @@
 [Post_1Y_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
 ChunckJob2D = 50Y
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3435)
@@ -6,4 +6,7 @@
 Offline_Mode=y
 PisFreq=4
+AtmCo2=2.8432e+02
+#==================================================================================================
+
 R_DYN=${R_BC}/OCE/${config_UserChoices_TagName}/dyna/new
 
@@ -12,11 +15,15 @@
 
 [BoundaryFiles]
-List= (${pisces_UserChoices_R_DYN}/NEMONEW_mesh_mask_v3.6st.nc, mesh_mask.nc), \
-      (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_T.nc, dyna_grid_T.nc), \
-      (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_U.nc, dyna_grid_U.nc), \
-      (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_V.nc, dyna_grid_V.nc), \
-      (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_W.nc, dyna_grid_W.nc)
+List= ()
 
-ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/TDIC_GLODAPv2.1_annual_r360x180xl31.nc, data_DIC_nomask.nc ), \
+
+ListNonDel= (${pisces_UserChoices_R_DYN}/NEMONEW_mesh_mask_v3.6st.nc, mask.nc), \
+            (${pisces_UserChoices_R_DYN}/NEMONEW_mesh_mask_v3.6st.nc, mesh_hgr.nc), \
+            (${pisces_UserChoices_R_DYN}/NEMONEW_mesh_mask_v3.6st.nc, mesh_zgr.nc), \
+            (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_T.nc, dyna_grid_T.nc), \
+            (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_U.nc, dyna_grid_U.nc), \
+            (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_V.nc, dyna_grid_V.nc), \
+            (${pisces_UserChoices_R_DYN}/NEMONEW_5d_20920101_20921231_grid_W.nc, dyna_grid_W.nc), \  
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/TDIC_GLODAPv2.1_annual_r360x180xl31.nc, data_DIC_nomask.nc ), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/TALK_GLODAPv2.1_annual_r360x180xl31.nc, data_ALK_nomask.nc ), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/O2_WOA2009_monthly_r360x180xl31.nc    , data_OXY_nomask.nc ), \
@@ -34,17 +41,21 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/solubility1_T62-ORCA2_Mahowald.nc       , solubility.orca.nc)
 
+
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                              , namelist_ref              ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                          , namelist_top_ref          ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                       , namelist_pisces_ref       ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml      , domain_def_nemo.xml       ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo_offline.xml , context_nemo.xml          ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml   , field_def_nemo-opa.xml    ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml, field_def_nemo-pisces.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml                , iodef.xml                 ), \
-        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                    , namelist_cfg              ), \
-        (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                               , namelist_top_cfg          ), \
-        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                            , namelist_pisces_cfg       ), \
-        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                       , file_def_nemo-pisces.xml  )
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                                    , namelist_ref                  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                                , namelist_top_ref              ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                             , namelist_pisces_ref           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo_offline.xml       , context_nemo.xml              ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml            , domain_def_nemo.xml           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/axis_def_nemo.xml              , axis_def_nemo.xml             ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml             , grids_def_nemo.xml            ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml         , field_def_nemo-opa.xml        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml      , field_def_nemo-pisces.xml     ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttracer.xml , field_def_nemo-inerttracer.xml), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml                      , iodef.xml                     ), \
+        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                          , namelist_cfg                  ), \
+        (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                                     , namelist_top_cfg              ), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                                  , namelist_pisces_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                             , file_def_nemo-pisces.xml      )
 
 
@@ -56,10 +67,11 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 
@@ -85,5 +97,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -94,5 +106,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
 ChunckJob2D = 50Y
@@ -103,5 +115,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -112,5 +124,5 @@
 [Post_1Y_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
 ChunckJob2D = 50Y
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3435)
@@ -6,5 +6,14 @@
 Offline_Mode=y
 PisFreq=4
+AtmCo2=2.8432e+02
+
+#==================================================================================================
 R_DYN=/ccc/store/cont003/dsm/p86caub/dmf_import/IGCM_OUT/IPSLCM5A/PROD/piControl/piControl2/OCE/Output/MO
+DynName=piControl2
+DynFreq=1M
+DynFiles=(grid_T grid_U grid_V grid_W)
+DynRunName=dyna
+DynYearStart=1850
+DynYearEnd=2000
 
 [InitialStateFiles]
@@ -12,48 +21,43 @@
 
 [BoundaryFiles]
-List= (${R_BC}/OCE/${config_UserChoices_TagName}/dyna/cmip5/piControl2_mesh_mask_v36st.nc, mesh_mask.nc), \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_m1}0101_${year_m1}1231_1M_grid_T.nc, dyna_grid_T_y${year_m1}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_m1}0101_${year_m1}1231_1M_grid_U.nc, dyna_grid_U_y${year_m1}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_m1}0101_${year_m1}1231_1M_grid_V.nc, dyna_grid_V_y${year_m1}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_m1}0101_${year_m1}1231_1M_grid_W.nc, dyna_grid_W_y${year_m1}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year}0101_${year}1231_1M_grid_T.nc, dyna_grid_T_y${year}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year}0101_${year}1231_1M_grid_U.nc, dyna_grid_U_y${year}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year}0101_${year}1231_1M_grid_V.nc, dyna_grid_V_y${year}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year}0101_${year}1231_1M_grid_W.nc, dyna_grid_W_y${year}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_p1}0101_${year_p1}1231_1M_grid_T.nc, dyna_grid_T_y${year_p1}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_p1}0101_${year_p1}1231_1M_grid_U.nc, dyna_grid_U_y${year_p1}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_p1}0101_${year_p1}1231_1M_grid_V.nc, dyna_grid_V_y${year_p1}.nc),  \
-      (${pisces_UserChoices_R_DYN}/piControl2_${year_p1}0101_${year_p1}1231_1M_grid_W.nc, dyna_grid_W_y${year_p1}.nc),  \
+List= ()
 
 
-ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/TDIC_GLODAPv2.1_annual_r360x180xl31.nc, data_DIC_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/TALK_GLODAPv2.1_annual_r360x180xl31.nc, data_ALK_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/O2_WOA2009_monthly_r360x180xl31.nc    , data_OXY_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/PO4_WOA2009_monthly_r360x180xl31.nc   , data_PO4_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Si_WOA2009_monthly_r360x180xl31.nc    , data_SIL_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/DOC_PISCES_monthly_r360x180xl31.nc    , data_DOC_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Fer_PISCES_monthly_r360x180xl31.nc    , data_FER_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/NO3_WOA2009_monthly_r360x180xl31.nc   , data_NO3_nomask.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/weights_3D_r360x180_orca2_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/DUST_INCA_MONTHLY_2000_2006_orca2.nc    , dust.orca.nc)       , \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/bathy.orca.nc                           , bathy.orca.nc)      , \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/rivernew_OA_orca2.nc                    , river.orca.nc)      , \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/duce2k.nomask.nc                        , ndeposition.orca.nc), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/par_fraction_gewex_orca_r2_clim90s00s.nc, par.orca.nc)        , \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/solubility1_T62-ORCA2_Mahowald.nc       , solubility.orca.nc)
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/dyna/cmip5/piControl2_mesh_mask_v36st.nc, mask.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/dyna/cmip5/piControl2_mesh_mask_v36st.nc, mesh_hgr.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/dyna/cmip5/piControl2_mesh_mask_v36st.nc, mesh_zgr.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/TDIC_GLODAPv2.1_annual_r360x180xl31.nc, data_DIC_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/TALK_GLODAPv2.1_annual_r360x180xl31.nc, data_ALK_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/O2_WOA2009_monthly_r360x180xl31.nc    , data_OXY_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/PO4_WOA2009_monthly_r360x180xl31.nc   , data_PO4_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Si_WOA2009_monthly_r360x180xl31.nc    , data_SIL_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/DOC_PISCES_monthly_r360x180xl31.nc    , data_DOC_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Fer_PISCES_monthly_r360x180xl31.nc    , data_FER_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/NO3_WOA2009_monthly_r360x180xl31.nc   , data_NO3_nomask.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/weights_3D_r360x180_orca2_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/DUST_INCA_MONTHLY_2000_2006_orca2.nc    , dust.orca.nc)       , \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/bathy.orca.nc                           , bathy.orca.nc)      , \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/rivernew_OA_orca2.nc                    , river.orca.nc)      , \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/duce2k.nomask.nc                        , ndeposition.orca.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/par_fraction_gewex_orca_r2_clim90s00s.nc, par.orca.nc)        , \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${pisces_UserChoices_version}/solubility1_T62-ORCA2_Mahowald.nc       , solubility.orca.nc)
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                              , namelist_ref              ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                          , namelist_top_ref          ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                       , namelist_pisces_ref       ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml      , domain_def_nemo.xml       ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo_offline.xml , context_nemo.xml          ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml   , field_def_nemo-opa.xml    ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml, field_def_nemo-pisces.xml ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml                , iodef.xml                 ), \
-        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                    , namelist_cfg              ), \
-        (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                               , namelist_top_cfg          ), \
-        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                            , namelist_pisces_cfg       ), \
-        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                       , file_def_nemo-pisces.xml  )
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                                    , namelist_ref                  ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                                , namelist_top_ref              ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                             , namelist_pisces_ref           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo_offline.xml       , context_nemo.xml              ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml            , domain_def_nemo.xml           ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/axis_def_nemo.xml              , axis_def_nemo.xml             ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml             , grids_def_nemo.xml            ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml         , field_def_nemo-opa.xml        ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml      , field_def_nemo-pisces.xml     ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttracer.xml , field_def_nemo-inerttracer.xml), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml                      , iodef.xml                     ), \
+        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                          , namelist_cfg                  ), \
+        (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                                     , namelist_top_cfg              ), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                                  , namelist_pisces_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                             , file_def_nemo-pisces.xml      )
+
 
 
@@ -64,11 +68,13 @@
 List=   (namelist_top_ref, namelist_top_cfg, namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
 
+
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 
@@ -94,5 +100,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -103,5 +109,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
 ChunckJob2D = 50Y
@@ -112,5 +118,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -121,5 +127,5 @@
 [Post_1Y_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
 ChunckJob2D = 50Y
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/lim3.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/lim3.driver	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/lim3.driver	(revision 3435)
@@ -16,29 +16,33 @@
     IGCM_debug_PushStack "ICE_Update"
 
-    NbFreq=$( echo ${config_ICE_WriteFrequency} | wc -w )
 
-    ##--Write Frequency Purpose ....
-    typeset -Z1 i=1
-    while [ $i -le ${NbFreq} ]; do
-        frequency=$( echo ${config_ICE_WriteFrequency} | awk -v var="$i" "-F " '{print $var}' )
-        factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+    ##--Write Frequency for iomput
+    ## Differents frequencies are allowed for ICE files
+
+    VI1D_ENABLE=".FALSE."
+    VI5D_ENABLE=".FALSE."
+    VI1M_ENABLE=".FALSE."
+    VI1Y_ENABLE=".FALSE."
+
+    for frequency in ${config_ICE_WriteFrequency} ; do
         case ${frequency} in
-            *Y|*y)
-                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}y_${DatesPeriod} ;
-                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_Y} ;
-                eval WFI${i}=${factor}Y ;;
-            *M|*m)
-                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}m_${DatesPeriod} ;
-                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_M} ;
-                eval WFI${i}=${factor}M ;;
-            *D|*d)
-                eval PREFIX_WFI${i}=${config_UserChoices_JobName}_${factor}d_${DatesPeriod} ;
-                eval R_OUT_ICE_WFI${i}=${R_OUT_ICE_O_D} ;
-                eval WFI${i}=${factor}D ;;
-            *)
+            ( 1D|1d ) VI1D_ENABLE=".TRUE." ;;
+            ( 5D|5d ) VI5D_ENABLE=".TRUE." ;;
+            ( 1M|1m ) VI1M_ENABLE=".TRUE." ;;
+            ( *[yY] ) VI1Y_ENABLE=".TRUE." ;;
         esac
-        let i=$i+1
+    done
 
-    done
+
+  # Update iodef.xml
+
+    IGCM_debug_Print 1 'Informations into iodef.xml : VI1D_ENABLE VI5D_ENABLE VI1M_ENABLE VI1Y_ENABLE '
+    IGCM_debug_Print 1 ${VI1D_ENABLE}  ${VI5D_ENABLE} ${VI1M_ENABLE} ${VI1Y_ENABLE}
+
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d enabled ${VI1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 5d enabled ${VI5D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m enabled ${VI1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y enabled ${VI1Y_ENABLE}
+
     echo UPDATE ICE !!!
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 3435)
@@ -157,7 +157,4 @@
    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1y enabled ${V1Y_ENABLE}
 	
-   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d enabled ${V1D_ENABLE}
-   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m enabled ${V1M_ENABLE}
-   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y enabled ${V1Y_ENABLE}
 
 # update domain_def.xml file 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3435)
@@ -43,15 +43,19 @@
     IGCM_debug_PushStack "MBG_Update"
 
-    V1D_ENABLE=".FALSE."
-    V5D_ENABLE=".FALSE."
-    V1M_ENABLE=".FALSE."
-    V1Y_ENABLE=".FALSE."
-
-    for frequency in ${config_OCE_WriteFrequency} ; do
+    
+    ##--Write Frequency for iomput
+    ## Differents frequencies are allowed for MBG files
+
+    VT1D_ENABLE=".FALSE."
+    VT5D_ENABLE=".FALSE."
+    VT1M_ENABLE=".FALSE."
+    VT1Y_ENABLE=".FALSE."
+
+    for frequency in ${config_MBG_WriteFrequency} ; do
         case ${frequency} in
-            ( 1D|1d ) V1D_ENABLE=".TRUE." ;;
-            ( 5D|5d ) V5D_ENABLE=".TRUE." ;;
-            ( 1M|1m ) V1M_ENABLE=".TRUE." ;;
-            ( *[yY] ) V1Y_ENABLE=".TRUE." ;;
+            ( 1D|1d ) VT1D_ENABLE=".TRUE." ;;
+            ( 5D|5d ) VT5D_ENABLE=".TRUE." ;;
+            ( 1M|1m ) VT1M_ENABLE=".TRUE." ;;
+            ( *[yY] ) VT1Y_ENABLE=".TRUE." ;;
         esac
     done
@@ -166,14 +170,19 @@
    fi
 
-   IGCM_comp_modifyNamelist blocker    namelist_top_cfg ln_rsttr  ${TOP_LRSTTR}
-   IGCM_comp_modifyNamelist blocker    namelist_top_cfg nn_rsttr  ${TOP_NRSTTR}
-   IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  atcco2    ${pisces_UserChoices_AtmCo2}
-   IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  nn_pisdmp  ${OPA_NPDT_YEAR}
-   IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  nrdttrc    ${pisces_UserChoices_PisFreq}
-
-
-   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1d enabled ${V1D_ENABLE}
-   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1m enabled ${V1M_ENABLE}
-   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1y enabled ${V1Y_ENABLE}
+    ##-- Update namelist_top_cfg and namelist_pisces_cfg
+    IGCM_comp_modifyNamelist blocker  namelist_top_cfg     ln_rsttr   ${TOP_LN_RSTR}
+    IGCM_comp_modifyNamelist blocker  namelist_top_cfg     nn_rsttr   ${TOP_NN_RSTR}
+    IGCM_comp_modifyNamelist blocker  namelist_pisces_cfg  nn_pisdmp  ${OPA_NPDT_YEAR}
+ 
+    # Update iodef.xml
+
+    IGCM_debug_Print 1 'Informations into iodef.xml : VT1D_ENABLE VT5D_ENABLE VT1M_ENABLE VT1Y_ENABLE '
+    IGCM_debug_Print 1 ${VT1D_ENABLE}  ${VT5D_ENABLE} ${VT1M_ENABLE} ${VT1Y_ENABLE}
+
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1d enabled ${VT1D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 5d enabled ${VT5D_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1m enabled ${VT1M_ENABLE}
+    IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1y enabled ${VT1Y_ENABLE}
+
 
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-pisces.xml
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-pisces.xml	(revision 3434)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-pisces.xml	(revision 3435)
@@ -74,11 +74,13 @@
 
    <file id="file22" name_suffix="_diad_T" description="additional pisces diagnostics" >
-       <field field_ref="PH"         name="PH" />
-       <field field_ref="PAR"        name="PAR"   />
-       <field field_ref="PARDM"      name="PARDM"   />
-       <field field_ref="Cflx"       name="Cflx"  />
-        <field field_ref="Oflx"      name="Oflx"  />
-       <field field_ref="Dpco2"      name="Dpco2"   />
-       <field field_ref="Dpo2"       name="Dpo2"   />
+        <field field_ref="PH"         name="PH" />
+        <field field_ref="CO3"        name="CO3" />
+        <field field_ref="CO3sat"     name="CO3sat" />
+        <field field_ref="PAR"        name="PAR"   />
+        <field field_ref="PCAL"       name="PCAL"   />
+        <field field_ref="Cflx"       name="Cflx"  />
+        <field field_ref="Oflx"       name="Oflx"  />
+        <field field_ref="Dpco2"      name="Dpco2"   />
+        <field field_ref="Dpo2"       name="Dpo2"   />
         <field field_ref="Heup"      name="Heup"  />
         <field field_ref="Irondep"   name="Irondep"  />
@@ -92,10 +94,11 @@
         <field field_ref="LDlight"   name="LDlight"  />
         <field field_ref="TPP"       name="TPP"  />
-       <field field_ref="TPNEW"      name="TPNEW"  />
+        <field field_ref="INTPP"     name="INTPP"  />
+        <field field_ref="INTPNEW"     name="INTPNEW"  />
+        <field field_ref="TPNEW"      name="TPNEW"  />
         <field field_ref="EPC100"    name="EPC100"  />
         <field field_ref="EPFE100"   name="EPFE100"  />
         <field field_ref="EPSI100"   name="EPSI100"  />
         <field field_ref="EPCAL100"  name="EPCAL100"  />
-        <field field_ref="xfracal"   name="xfracal"  />
     </file>
 
@@ -155,11 +158,13 @@
 
    <file id="file25" name_suffix="_diad_T" description="additional pisces diagnostics" >
-       <field field_ref="PH"         name="PH" />
-       <field field_ref="PAR"        name="PAR"   />
-       <field field_ref="PARDM"      name="PARDM"   />
-       <field field_ref="Cflx"       name="Cflx"  />
-        <field field_ref="Oflx"      name="Oflx"  />
-       <field field_ref="Dpco2"      name="Dpco2"   />
-       <field field_ref="Dpo2"       name="Dpo2"   />
+        <field field_ref="PH"         name="PH" />
+        <field field_ref="CO3"        name="CO3" />
+        <field field_ref="CO3sat"     name="CO3sat" />
+        <field field_ref="PAR"        name="PAR"   />
+        <field field_ref="PCAL"       name="PCAL"   />
+        <field field_ref="Cflx"       name="Cflx"  />
+        <field field_ref="Oflx"       name="Oflx"  />
+        <field field_ref="Dpco2"      name="Dpco2"   />
+        <field field_ref="Dpo2"       name="Dpo2"   />
         <field field_ref="Heup"      name="Heup"  />
         <field field_ref="Irondep"   name="Irondep"  />
@@ -173,5 +178,7 @@
         <field field_ref="LDlight"   name="LDlight"  />
         <field field_ref="TPP"       name="TPP"  />
-       <field field_ref="TPNEW"      name="TPNEW"  />
+        <field field_ref="INTPP"     name="INTPP"  />
+        <field field_ref="INTPNEW"     name="INTPNEW"  />
+        <field field_ref="TPNEW"      name="TPNEW"  />
         <field field_ref="EPC100"    name="EPC100"  />
         <field field_ref="EPFE100"   name="EPFE100"  />
